/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.0 (the "NPL"); you may not use this file except in
 * compliance with the NPL.  You may obtain a copy of the NPL at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the NPL is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the NPL
 * for the specific language governing rights and limitations under the
 * NPL.
 *
 * The Initial Developer of this code under the NPL is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1999 Netscape Communications Corporation.  All Rights
 * Reserved.
 */

import java.util.EventListener;

/**
 * IDirNodeListener
 * 
 * For clients wanting to be notified of selection or action events
 * in the tree.
 *
 * @version 1.0
 * @author rweltman
 **/
public interface IDirNodeListener extends EventListener {
	/**
	 * The selection changed.
	 *
	 * @param nodes Array of selected tree nodes
	 */
    public void selectionChanged( IDirNode[] nodes );

	/**
	 * An action was invoked using the mouse or keyboard.
	 *
	 * @param ev Object indicating the type of event.
	 */
    public void actionInvoked( DirNodeEvent ev );
}
