/* Copyright Notice ======================================================*
* This file contains proprietary information of Netscape Communications.
* Copying or reproduction without prior written approval is prohibited.
* Copyright (c) 1997 ====================================================*/

package util;

import java.text.SimpleDateFormat;
import java.text.DateFormat;
import java.text.ParsePosition;
import java.util.Date;

public class DateUtil {

	/**
	 * Convert the date in LDAP format into java.util.Date object
	 */
	public static Date getDateTime(String dbDate) {     
		String dbDateFormat = "yyyyMMddHHmmss";

		// Check if time zone included into date
		if ( (dbDate.length() == dbDateFormat.length() + 1) &&
			 dbDate.endsWith("Z") ) {
			// 'z' symbol is used for time zone
			dbDateFormat = dbDateFormat + "zzz";
			dbDate = dbDate.substring(0,dbDate.length()-1) + "GMT.";
		}
		
		try {
			SimpleDateFormat sdf = new SimpleDateFormat(dbDateFormat);
			Date date = sdf.parse(dbDate,new ParsePosition(0));
			return date;
		} catch (Exception e) {
			Debug.println( "DSUtil.getDateTime: " + dbDate +
						   " does not match expected format " +
						   dbDateFormat);
			Debug.println(e.getMessage());
			return null;
		}
	} 

	/**
	 * Convert the date in LDAP format into localized string
	 */
	public static String formatDateTime(String dbDate) {      
		try {
			Date date = getDateTime(dbDate);
			if (date == null) {
				return dbDate;
			}
			DateFormat df =
				DateFormat.getDateTimeInstance(DateFormat.SHORT,
											   DateFormat.SHORT);
			return df.format(date);
		} catch (Exception e) {
			Debug.println(e.getMessage());
			return dbDate;
		}
	} 
}
