/*  Thanks to Nobuo Tamemasa */

package table;

import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;

/**
 * Class to handle mouse clicks on table headers
 */
public class SortHeaderListener extends MouseAdapter {
    JTableHeader header;
    SortButtonRenderer _renderer;
  
    public SortHeaderListener( JTableHeader header,
							   SortButtonRenderer _renderer ) {
        this.header   = header;
        this._renderer = _renderer;
    }
  
    public void mousePressed(MouseEvent e) {
        int col = header.columnAtPoint(e.getPoint());
        int sortCol =
            header.getTable().convertColumnIndexToModel(
                col);
        _renderer.setPressedColumn(col);
        _renderer.setSelectedColumn(col);
        header.repaint();
      
        if (header.getTable().isEditing()) {
            header.getTable().getCellEditor().
                stopCellEditing();
        }
      
        boolean isAscent =
            (SortButtonRenderer.DOWN ==
             _renderer.getState(col));
        SortableTableModel model =
            (SortableTableModel)header.getTable().
            getModel();
        model.sortByColumn(sortCol, isAscent);    
    }
  
    public void mouseReleased(MouseEvent e) {
        int col = header.columnAtPoint(e.getPoint());
        _renderer.setPressedColumn(-1); // clear
        header.repaint();
    }
}
